package com.mosty.rzzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.query.rzzx.TbRzHjQueryDto;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

public interface RzzxStatisticsService {

    @ApiOperation("各部门反馈统计(市级权限)")
    List<Map<String,Object>> sjfktj();

    @ApiOperation("各部门反馈统计(县级权限)")
    List<Map<String,Object>> xjfktj();

    @ApiOperation("各类反馈统计")
    List<Map<String,Object>> glfktj();

    @ApiOperation("各系统反馈统计")
    List<Map<String,Object>> gxtfktj();

    @ApiOperation("列表查询")
    IPage<Map<String,Object>> lbcx(TbRzHjQueryDto dto);
}
